# class Gio::SimpleAction

### Public Class Methods

new(name, parameter_type=nil, state=nil) click to toggle source

    # File lib/gio2/simple-action.rb, line 20
    def initialize(name, parameter_type=nil, state=nil)
      if parameter_type.is_a?(String)
        parameter_type = GLib::VariantType.new(parameter_type)
      end
      initialize_raw(name, parameter_type, state)
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(name, parameter_type=nil, state=nil)
Alias for: new